
%global meadversion 2.10.0
%global namedversion 2.10.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-dataformats-text}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.10.0.redhat-00002

Name:           %{?scl_prefix}jackson-dataformats-text
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson dataformats: Text
Group:          Development/Java

%if %with mead
Source100: jackson-dataformats-text-2.10.0.redhat-00002-project-sources.tar.gz
Source102: jackson-dataformat-properties-2.10.0.redhat-00002.jar
Source103: jackson-dataformat-yaml-2.10.0.redhat-00002.pom
Source104: jackson-dataformat-csv-2.10.0.redhat-00002-javadoc.jar
Source105: jackson-dataformat-yaml-2.10.0.redhat-00002-sources.jar
Source106: jackson-dataformat-properties-2.10.0.redhat-00002-javadoc.jar
Source107: jackson-dataformat-csv-2.10.0.redhat-00002.jar
Source108: jackson-dataformat-csv-2.10.0.redhat-00002-sources.jar
Source109: jackson-dataformats-text-2.10.0.redhat-00002.pom
Source110: jackson-dataformat-yaml-2.10.0.redhat-00002-javadoc.jar
Source111: jackson-dataformat-properties-2.10.0.redhat-00002-sources.jar
Source112: jackson-dataformat-properties-2.10.0.redhat-00002.pom
Source113: jackson-dataformat-csv-2.10.0.redhat-00002.pom
Source114: jackson-dataformat-yaml-2.10.0.redhat-00002.jar
%endif

License:        ASL 2.0
URL:            http://wiki.fasterxml.com/JacksonExtensionXmlDataBinding

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-dataformats-text-%{namedversion}-%{release}-root

%description
Jackson text dataformats.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-dataformats-text
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%package -n %{?scl_prefix}jackson-dataformat-csv
Summary:        Jackson-dataformat-CSV
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-csv
Support for reading and writing CSV-encoded data via Jackson 13 abstractions.

%package -n %{?scl_prefix}jackson-dataformat-properties
Summary:        Jackson-dataformat-Properties
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-properties
Support for reading and writing content of "Java Properties" style
  13 configuration files as if there was implied nesting structure (by default using dots as separators).

%package -n %{?scl_prefix}jackson-dataformat-yaml
Summary:        Jackson-dataformat-YAML
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-yaml
Support for reading and writing YAML-encoded data via Jackson abstractions.

%prep
%setup -q -n jackson-dataformats-text-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-dataformat-csv-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-csv-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-csv-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-csv-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-csv-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-csv-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jackson-dataformat-properties-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-properties-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-properties-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-properties-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-properties-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-properties-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jackson-dataformat-yaml-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-yaml-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-yaml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-yaml-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-yaml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-yaml-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-dataformats-text-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-dataformats-text-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-dataformats-text-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-dataformats-text-%{namedversion} %{buildroot}%{_javadocdir}/jackson-dataformats-text
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-dataformats-text-%{namedversion}
%{_javadocdir}/jackson-dataformats-text
%endif

%files -n %{?scl_prefix_eap}jackson-dataformat-csv
%defattr(0644,root,root,0755)
%doc csv/README.md
%{_javadir}/jackson-dataformat-csv-%{namedversion}.jar
%{_javadir}/jackson-dataformat-csv.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-csv-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-csv-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-csv-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-csv-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-csv-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-csv-sources.jar


%files -n %{?scl_prefix_eap}jackson-dataformat-properties
%defattr(0644,root,root,0755)
%doc properties/README.md
%{_javadir}/jackson-dataformat-properties-%{namedversion}.jar
%{_javadir}/jackson-dataformat-properties.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-properties-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-properties-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-properties-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-properties-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-properties-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-properties-sources.jar

%files -n %{?scl_prefix_eap}jackson-dataformat-yaml
%defattr(0644,root,root,0755)
%doc yaml/README.md
%{_javadir}/jackson-dataformat-yaml-%{namedversion}.jar
%{_javadir}/jackson-dataformat-yaml.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-yaml-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-yaml-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-yaml-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-yaml-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-yaml-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-yaml-sources.jar

%changelog
* Fri Nov 15 2019 Yong Yang <yyang@redhat.com> - 2.10.0-1.redhat_00002.1
- RPM wrapper build 2.10.0.redhat-00002

* Mon Oct 14 2019 Yong Yang <yyang@redhat.com> - 2.9.10-1.redhat_00003.1
- RPM wrapper build 2.9.10.redhat-00003


* Mon Oct 14 2019 Yong Yang <yyang@redhat.com> - 2.9.10.redhat-00003
- release

